From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-embedded/arduino-listserialportsc/
Date: Sat, 26 Mar 2022 00:09:06 +0000 (UTC) [thread overview]
Message-ID: <1648253200.dec288a99cd35d4dae9b0312437874627b221fb8.sam@gentoo> (raw)
commit: dec288a99cd35d4dae9b0312437874627b221fb8
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 00:06:40 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 00:06:40 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dec288a9
dev-embedded/arduino-listserialportsc: add missing || dies
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../arduino-listserialportsc-1.4.0.ebuild | 19 ++++++++++---------
1 file changed, 10 insertions(+), 9 deletions(-)
diff --git a/dev-embedded/arduino-listserialportsc/arduino-listserialportsc-1.4.0.ebuild b/dev-embedded/arduino-listserialportsc/arduino-listserialportsc-1.4.0.ebuild
index 7a3b5304855c..b9a28eb7e8cd 100644
--- a/dev-embedded/arduino-listserialportsc/arduino-listserialportsc-1.4.0.ebuild
+++ b/dev-embedded/arduino-listserialportsc/arduino-listserialportsc-1.4.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -8,6 +8,7 @@ inherit java-pkg-2 toolchain-funcs
DESCRIPTION="Arduino helper library to list serial ports"
HOMEPAGE="https://github.com/arduino/listSerialPortsC"
SRC_URI="https://github.com/arduino/listSerialPortsC/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
@@ -19,20 +20,20 @@ DEPEND="${RDEPEND}
S="${WORKDIR}/listSerialPortsC-${PV}"
src_compile() {
- CC=$(tc-getCC)
- ${CC} -Wall -O2 ${CPPFLAGS} ${CFLAGS} -c -o main.o main.c
- ${CC} ${CFLAGS} ${LDFLAGS} main.o -lserialport -o listSerialC
+ $(tc-getCC) -O2 -Wall ${CPPFLAGS} ${CFLAGS} -c -o main.o main.c || die
+
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} main.o -lserialport -o listSerialC || die
- ${CC} \
- -Wall -O2 ${CPPFLAGS} ${CFLAGS} -fPIC \
+ $(tc-getCC) \
+ -O2 -Wall ${CPPFLAGS} ${CFLAGS} -fPIC \
-I$(java-config-2 -o)/include \
-I$(java-config-2 -o)/include/linux \
- -o jnilib.o -c jnilib.c
+ -o jnilib.o -c jnilib.c || die
- ${CC} \
+ $(tc-getCC) \
${CFLAGS} ${LDFLAGS} \
-shared -Wl,-soname,liblistSerialsj.so \
- jnilib.o -lserialport -o liblistSerialsj.so.${PV}
+ jnilib.o -lserialport -o liblistSerialsj.so.${PV} || die
}
src_install() {
next reply other threads:[~2022-03-26 0:09 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-26 0:09 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-26 13:34 [gentoo-commits] repo/gentoo:master commit in: dev-embedded/arduino-listserialportsc/ Andreas Sturmlechner
2023-08-26 13:30 Sam James
2023-08-26 13:30 Sam James
2023-07-21 7:14 Viorel Munteanu
2018-10-24 7:34 Mikle Kolyada
2018-10-17 12:07 Thomas Deutschmann
2018-07-22 23:32 Virgil Dupras
2018-03-06 19:59 Amy Liffey
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1648253200.dec288a99cd35d4dae9b0312437874627b221fb8.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox